Module com.io7m.jtensors.storage.api
Package com.io7m.jtensors.storage.api.parameterized.vectors

## Interface PVectorStorageFloating2Type<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    `PVectorReadable2DType<T>`, `VectorReadable2DType`, `VectorStorageFloating2Type`, `VectorStorageType`
  All Known Subinterfaces:
    `PVectorByteBufferedFloating2Type<T>`, `PVectorByteBufferedFloating3Type<T>`, `PVectorByteBufferedFloating4Type<T>`, `PVectorStorageFloating3Type<T>`, `PVectorStorageFloating4Type<T>`
  All Known Implementing Classes:
    `PVectorByteBufferedFloating2s16`, `PVectorByteBufferedFloating2s32`, `PVectorByteBufferedFloating2s64`, `PVectorByteBufferedFloating3s16`, `PVectorByteBufferedFloating3s32`, `PVectorByteBufferedFloating3s64`, `PVectorByteBufferedFloating4s16`, `PVectorByteBufferedFloating4s32`, `PVectorByteBufferedFloating4s64`, `PVectorMutable2D`, `PVectorMutable3D`, `PVectorMutable4D`

      public interface PVectorStorageFloating2Type<T>
      extends PVectorReadable2DType<T>, VectorStorageFloating2Type

  The type of mutable 2D floating point number vectors.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `setPVector2D​(PVector2D<T> v)` | Set the components from the given vector.
    `default void` | `setPVector2F​(PVector2F<T> v)` | Set the components from the given vector.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType

      `x, y`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating2Type

      `setVector2D, setVector2F, setX, setXY, setY`

- - ### Method Detail

    - #### setPVector2D

          default void setPVector2D​(PVector2D<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setPVector2F

          default void setPVector2F​(PVector2F<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

Copyright © 2017 <code@io7m.com> http://io7m.com